Index: palm/trunk/SOURCE/virtual_flight_mod.f90
===================================================================
--- palm/trunk/SOURCE/virtual_flight_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/virtual_flight_mod.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! IF statement revised to consider new vertical grid stretching
 ! 
@@ -227,5 +230,5 @@
 
        USE control_parameters,                                                 &
-           ONLY:  initializing_actions, message_string  
+           ONLY:  message_string
       
        IMPLICIT NONE
@@ -514,6 +517,6 @@
 
        USE control_parameters,                                                 &
-           ONLY:  cloud_droplets, cloud_physics, dz, dz_stretch_level, dt_3d,  &
-                  humidity, neutral, passive_scalar, simulated_time
+           ONLY:  cloud_droplets, cloud_physics, dt_3d, humidity, neutral,     &
+                  passive_scalar, simulated_time
                   
        USE cpulog,                                                             &
@@ -524,5 +527,5 @@
 
        USE indices,                                                            &
-           ONLY:  nx, nxl, nxlg, nxr, nxrg, ny, nys, nysg, nyn, nyng, nzb, nzt
+           ONLY:  nx, nxl, nxr, ny, nys, nyn
 
        USE pegrid
@@ -739,5 +742,5 @@
            ONLY:  dz, dz_stretch_level_start   
   
-      USE grid_variables,                                                     &
+      USE grid_variables,                                                      &
           ONLY:  dx, dy
     
@@ -828,5 +831,5 @@
     
        USE control_parameters,                                                 &
-           ONLY:  bc_lr_cyc, bc_ns_cyc, dz, message_string
+           ONLY:  bc_lr_cyc, bc_ns_cyc, message_string
 
        USE grid_variables,                                                     &
Index: palm/trunk/SOURCE/wind_turbine_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 3241)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Check for vertical stretching has been revised. 
 ! 
@@ -265,5 +268,4 @@
     INTEGER(iwp) ::  nrings_max   !< maximum number of rings (all turbines, required for allocation of arrays)
     INTEGER(iwp) ::  ring         !< ring loop index (ring number)
-    INTEGER(iwp) ::  rr_int       !<
     INTEGER(iwp) ::  upper_end    !<
 
@@ -1680,6 +1682,6 @@
        INTEGER(iwp) ::  inot             !< turbine loop index (turbine id)
        INTEGER(iwp) ::  iialpha, iir     !<
-       INTEGER(iwp) ::  rseg, rseg_int   !<
-       INTEGER(iwp) ::  ring, ring_int   !<
+       INTEGER(iwp) ::  rseg             !<
+       INTEGER(iwp) ::  ring             !<
        INTEGER(iwp) ::  ii, jj, kk       !<
     
@@ -1696,9 +1698,8 @@
 !
 !      Variables for pitch control
-       REAL(wp)     ::  torque_max=0.0_wp
-       LOGICAL      ::  pitch_sw=.FALSE.
-
-       INTEGER(iwp), DIMENSION(1) :: lct=0
-       REAL(wp), DIMENSION(1)     :: rad_d=0.0_wp
+       LOGICAL ::  pitch_sw = .FALSE.
+
+       INTEGER(iwp), DIMENSION(1) ::  lct = 0
+       REAL(wp), DIMENSION(1)     ::  rad_d = 0.0_wp
        
        REAL(wp) :: tl_factor !< factor for tip loss correction
Index: palm/trunk/UTIL/combine_plot_fields.f90
===================================================================
--- palm/trunk/UTIL/combine_plot_fields.f90	(revision 3240)
+++ palm/trunk/UTIL/combine_plot_fields.f90	(revision 3241)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -126,7 +129,7 @@
 
     INTEGER(iwp) ::  av, danz, i, id, j, k, model, models, nc_stat,            &
-                     nxa, nxag, nxe, nxeg, nya, nyag, nye, nyeg,               &
+                     nxa, nxe, nya, nye,               &
                      nza, nze, pos, time_step, xa, xe, xxa, xxe, ya, ya_do,    &
-                     ya_tot, ye, ye_do, ye_tot, yya, yye, za, ze, zza, zze
+                     ya_tot, ye, ye_do, ye_tot, yya, yye, za, ze
 
     INTEGER(8)                        ::  count, count_rate
@@ -141,5 +144,5 @@
                  netcdf_1, vnest
 
-    REAL(wp) ::  cpu_start_time, cpu_end_time, dx, simulated_time
+    REAL(wp) ::  cpu_start_time, cpu_end_time, simulated_time
     REAL(wp),  DIMENSION(:,:), ALLOCATABLE   ::  pf, pf_tmp
     REAL(spk), DIMENSION(:,:,:), ALLOCATABLE ::  pf3d, pf3d_tmp
@@ -752,5 +755,4 @@
 !--             Allocate the array for storing the total domain data
                 IF ( id == 0  .AND.  fanz(0) == 0  .AND.  fanz(1) == 0 )  THEN
-!                   READ ( id+110 )  nxag, nxeg, nyag, nyeg
                    READ ( id+110 )  nxa, nxe, nya, nye, nza, nze
                    ALLOCATE ( pf3d(nxa:nxe,nya:nye,nza:nze) )
